m-video--progress-bar {
  flex: 1;
  display: flex;
  padding: 12px;

  .progress-bar {
    flex: 1;
    position: relative;
    .minds-bar {
      position: absolute;
      left: 0px;
      height: 2px;
      vertical-align: middle;
      border-radius: 2px;
      margin-top: 10px;
      @include m-theme() {
        background-color: themed($m-white-always);
      }
      &.total {
        width: 100%;
        @include m-theme() {
          background-color: rgba(themed($m-white-always), 0.5);
        }
      }
    }
  }

  .progress-stamps {
    font-size: 12px;
    font-weight: 600;
    font-family: 'Roboto', Helvetica, sans-serif;
    padding: 0 12px;
    line-height: 24px;

    -webkit-font-smoothing: antialiased;
    text-rendering: optimizeLegibility;
    cursor: default;
  }

  .m-play-count {
    text-align: right;

    > i {
      vertical-align: middle;
      margin-right: 0.15em;
    }

    > span {
      vertical-align: middle;
      font-size: 12px;
      font-weight: 300;
    }
  }

  .seeker-ball {
    position: absolute;
    z-index: 999;
    border-radius: 30px;
    top: 7px;
    left: 0;
    width: 1em;
    cursor: pointer;
    height: 1em;
    margin: -0.2em 0px 0px -0.5em;
    width: 14px;
    height: 14px;
    padding: 0px;
    -webkit-transition: -webkit-transform 0.15s ease-in-out;
    transition: transform 0.15s ease-in-out;
    @include m-theme() {
      background-color: themed($m-white-always);
    }
  }
}
